curl --location --request POST 'https://api.getmetal.io/v1/apps' \
--header 'Content-Type: application/json' \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <client-id>' \
--data-raw '{
"name": "Metal App"
"indexes": ["indexID"]
}'
{
"data": {
"id": "6535126922af1b89d6d22ffa",
"name": "Metal App",
"indexes": ["indexID"]
}
}
🚀 Apps
Add an App
This endpoint creates an app.
POST
/
v1
/
apps
curl --location --request POST 'https://api.getmetal.io/v1/apps' \
--header 'Content-Type: application/json' \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <client-id>' \
--data-raw '{
"name": "Metal App"
"indexes": ["indexID"]
}'
{
"data": {
"id": "6535126922af1b89d6d22ffa",
"name": "Metal App",
"indexes": ["indexID"]
}
}
Auth Headers
string
required
An API key for your org.
string
required
A Client ID for your org.
Body
string
required
Name of the App.
array
An array containing the ID of the index you want to connect with the app. This array can have a maximum length of 1.
Response
App Object
curl --location --request POST 'https://api.getmetal.io/v1/apps' \
--header 'Content-Type: application/json' \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <client-id>' \
--data-raw '{
"name": "Metal App"
"indexes": ["indexID"]
}'
{
"data": {
"id": "6535126922af1b89d6d22ffa",
"name": "Metal App",
"indexes": ["indexID"]
}
}